Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Some webpages, like You Tube, and firefox add-ons pages, do not recognize my firefox version, and require me to update firefox. Why?

  • 2 பதிலளிப்புகள்
  • 3 இந்த பிரச்னைகள் உள்ளது
  • 1 view
  • Last reply by Shawn

Youtube reports that: Your browser is no longer supported. Please upgrade to a modern browser.

All Replies (2)

It looks like you are using an older version that isn't supported by some websites any longer - 2.0.0.11. What version do you think you have installed?

Check for updates by going to help | Check for updates. If a new version is available, please download it. See Update Firefox to the latest release

Shawn மூலமாக திருத்தப்பட்டது